import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

// 查询人员总工工时
export function searchtable(num1, num2, num3, num4, num5, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_工时统计_查询数据2',
      param: '操作者_check=' + num1 + '&姓名=' + num2 + '&时间_check=' + num3 + '&开始时间=' + num4 + '&结束时间=' + num5,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 查询人员总工工时
export function searchtable11(num1, num2, num3, num4, num5) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_工时统计_查询数据2',
      param: '操作者_check=' + num1 + '&姓名=' + num2 + '&时间_check=' + num3 + '&开始时间=' + num4 + '&结束时间=' + num5
    }
  })
}
// 查询人员具体工序
export function searchtable2(num1, num2, num3, num4, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_工时统计按人员查询_查询数据2',
      param: '工作者编号=' + num1 + '&时间_check=' + num2 + '&开始时间=' + num3 + '&结束时间=' + num4,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 查询人员具体工序
export function searchtable22(num1, num2, num3, num4) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_工时统计按人员查询_查询数据2',
      param: '工作者编号=' + num1 + '&时间_check=' + num2 + '&开始时间=' + num3 + '&结束时间=' + num4
    }
  })
}
// 初始化机床项目
export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: 'PDM_项目名称_查询数据'
    }
  })
}
// 车间生产管理工艺_工时统计_机床查询_查询数据
export function searchtable4(num1, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_工时统计_机床查询_查询数据',
      param: '机床流水号_check=' + num1 + '&机床流水号=' + num2
    }
  })
}
// 车间生产管理工艺_工时统计_机床查询_查询数据
export function searchtable44(num1, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_工时统计_机床查询_查询数据',
      param: '机床流水号_check=' + num1 + '&机床流水号=' + num2
    }
  })
}
// 车间生产管理工艺_工时统计_组号查询_查询数据
export function searchtable5(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_工时统计_组号查询_查询数据',
      param: '机床流水号=' + num1
    }
  })
}
// 车间生产管理工艺_工时统计_组号查询_查询数据
export function searchtable55(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_工时统计_组号查询_查询数据',
      param: '机床流水号=' + num1
    }
  })
}
